> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/device/snapshot > Get the specified device snapshots using the snapshot id ## OpenAPI ````json GET /v1/device/snapshot { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/device/snapshot": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DeviceSnapshotGetResponse" } } } } }, "description": "Get the specified device snapshots using the snapshot id" } } }, "components": { "schemas": { "v1DeviceSnapshotGetResponse": { "type": "object", "properties": { "firstSnapshot": { "$ref": "#/components/schemas/manaV2DeviceSnapshot" }, "secondSnapshot": { "$ref": "#/components/schemas/manaV2DeviceSnapshot" }, "thirdSnapshot": { "$ref": "#/components/schemas/manaV2DeviceSnapshot" } }, "additionalProperties": false }, "manaV2DeviceSnapshot": { "type": "object", "properties": { "author": { "$ref": "#/components/schemas/commonUserInfo" }, "category": { "type": "string", "example": "ENUM_VALUE" }, "createdOn": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "data": { "$ref": "#/components/schemas/manaV2DeviceSnapshotData" }, "golden": { "type": "boolean", "example": true }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "6-1-24-status-check", "description": "name for the snapshot" } }, "additionalProperties": false }, "commonUserInfo": { "type": "object", "properties": { "accountType": { "type": "string", "example": "example string" }, "bearerToken": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "exp": { "type": "integer", "format": "int64", "example": 1234567891011 }, "originalEnterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "permissions": { "$ref": "#/components/schemas/commonPermissions" }, "timeZone": { "type": "string", "example": "example string" }, "userId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2DeviceSnapshotData": { "type": "object", "properties": { "OSPFInstalledRouteCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "T2SessionCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "TWAMPSessionCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "bfdSessionCount": { "type": "integer", "format": "int32", "example": 123 }, "bgpNeighborIpList": { "type": "array", "items": { "type": "string", "example": "example string" } }, "bgpSessionCount": { "type": "integer", "format": "int32", "example": 123 }, "deviceRole": { "type": "string", "example": "ENUM_VALUE" }, "failedServicesCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "graphnosVersion": { "type": "string", "example": "example string" }, "installedLabels": { "type": "integer", "format": "int32", "example": 123 }, "ipsecSessionCount": { "type": "integer", "format": "int32", "example": 123 }, "ongoingAlerts": { "type": "integer", "format": "int32", "example": 123 }, "ospfNeighborIpList": { "type": "array", "items": { "type": "string", "example": "example string" } }, "ospfSessionCount": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false }, "commonPermissions": { "type": "object", "properties": { "assetManager": { "type": "string", "example": "ENUM_VALUE" }, "b2b": { "type": "string", "example": "ENUM_VALUE" }, "b2bSecurityProfileExternal": { "type": "string", "example": "ENUM_VALUE" }, "billingAndInvoicing": { "type": "string", "example": "ENUM_VALUE" }, "compliance": { "type": "string", "example": "ENUM_VALUE" }, "developerTools": { "type": "string", "example": "ENUM_VALUE" }, "gateway": { "type": "string", "example": "ENUM_VALUE" }, "globalServices": { "type": "string", "example": "ENUM_VALUE" }, "insights": { "type": "string", "example": "ENUM_VALUE" }, "licensing": { "type": "string", "example": "ENUM_VALUE" }, "logs": { "type": "string", "example": "ENUM_VALUE" }, "monitoringAndTroubleshooting": { "type": "string", "example": "ENUM_VALUE" }, "networkConfiguration": { "type": "string", "example": "ENUM_VALUE" }, "orderStatus": { "type": "string", "example": "ENUM_VALUE" }, "reports": { "type": "string", "example": "ENUM_VALUE" }, "safetyAndSecurity": { "type": "string", "example": "ENUM_VALUE" }, "servicePolicies": { "type": "string", "example": "ENUM_VALUE" }, "support": { "type": "string", "example": "ENUM_VALUE" }, "userAndTenantManagement": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````